VERSION 5.00
Begin VB.Form frmMoveBack 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Moving Background Example - By: Synthesize"
   ClientHeight    =   3975
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4155
   BeginProperty Font 
      Name            =   "Verdana"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   3975
   ScaleWidth      =   4155
   StartUpPosition =   3  'Windows Default
   Begin VB.Timer tmrMove 
      Interval        =   1
      Left            =   0
      Top             =   0
   End
   Begin VB.PictureBox picHolder 
      Height          =   3975
      Left            =   0
      ScaleHeight     =   3915
      ScaleWidth      =   4095
      TabIndex        =   3
      TabStop         =   0   'False
      Top             =   0
      Width           =   4155
      Begin VB.CommandButton cmdExit 
         Caption         =   "&Exit"
         Height          =   375
         Left            =   1380
         TabIndex        =   2
         Top             =   1770
         Width           =   1335
      End
      Begin VB.CommandButton cmdAction 
         Caption         =   "Change Scroll &Speed"
         Height          =   375
         Index           =   0
         Left            =   600
         TabIndex        =   0
         Top             =   720
         Width           =   2895
      End
      Begin VB.CommandButton cmdAction 
         Caption         =   "Change Scroll &Amount"
         Height          =   375
         Index           =   1
         Left            =   600
         TabIndex        =   1
         Top             =   2820
         Width           =   2895
      End
      Begin VB.PictureBox picPicture 
         AutoSize        =   -1  'True
         BorderStyle     =   0  'None
         Height          =   6000
         Index           =   0
         Left            =   0
         Picture         =   "frmMoveBack.frx":0000
         ScaleHeight     =   6000
         ScaleWidth      =   6000
         TabIndex        =   4
         TabStop         =   0   'False
         Top             =   0
         Width           =   6000
      End
      Begin VB.PictureBox picPicture 
         AutoSize        =   -1  'True
         BorderStyle     =   0  'None
         Height          =   6000
         Index           =   1
         Left            =   6000
         Picture         =   "frmMoveBack.frx":6314
         ScaleHeight     =   6000
         ScaleWidth      =   6000
         TabIndex        =   5
         TabStop         =   0   'False
         Top             =   0
         Width           =   6000
      End
   End
End
Attribute VB_Name = "frmMoveBack"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' Make sure that Visual Basic MAKES us declare ALL variables.
Option Explicit

' Declare some variables to keep the infomation.
Dim intSpeed As Integer
Dim intAmount As Integer

Private Sub cmdAction_Click(Index As Integer)
    ' These command buttons are in a control array.
    
    ' Declare our variables.
    Dim intTemp As Integer
    
    ' A label to go to if the user has entered invalid data.
lblInvalid:
    ' Do a case select on Index.
    Select Case Index
        ' If the Case was 0, do the code within that case.
        Case 0
            ' Get user input for the scroll speed.
            intTemp = Val(InputBox("Please enter a new scroll speed (in milliseconds):", "Scroll Speed", intSpeed))
            ' If the user entered nothing, "0", or pressed Cancel, exit the sub.
            If (intTemp = 0) Then Exit Sub
            ' If the user entered anything invalid, notify them and go to the "invalid" label line.
            If (intTemp < 1) Or (intTemp > 1000) Then
                ' Notify the user.
                MsgBox "You must enter a scroll speed of 1 to 1000 (milliseconds). Please enter a new scroll speed.", vbOKOnly Or vbCritical, "Invalid Speed"
                ' Go to the label.
                GoTo lblInvalid
            End If
            ' Set the speed to the variable.
            intSpeed = intTemp
        ' If the Case was 1, do the code within that case.
        Case 1
            ' Get user input for the scroll amount.
            intTemp = Val(InputBox("Please enter a new scoll amount (in pixels):", "Scroll Amount", intAmount))
            ' If the user entered nothing, "0", or pressed Cancel, exit the sub.
            If (intTemp = 0) Then Exit Sub
            ' If the user entered anything invalid, notify them and go to the "invalid" label line.
            If (intTemp < 1) Or (intTemp > 10) Then
                ' Notify the user.
                MsgBox "You must enter a scroll amount of 1 to 10 (pixels). Please enter a new scroll amount.", vbOKOnly Or vbCritical, "Invalid Speed"
                ' Go to the label.
                GoTo lblInvalid
            End If
            ' Set the amount to the variable.
            intAmount = intTemp
    End Select
End Sub

Private Sub cmdExit_Click()
    ' The user wants to exit, so let them exit.
    Unload Me
End Sub

Private Sub Form_Load()
    ' Set the default speed to 1 millisecond.
    intSpeed = 1
    ' Set the default amount to 2 pixels.
    intAmount = 2
End Sub

Private Sub tmrMove_Timer()
    ' Set the interval to the speed variable just in case the user changed it.
    tmrMove.Interval = intSpeed
    
    ' Move the second picture first so that there isn't a gap.
    picPicture(1).Left = picPicture(1).Left - (intAmount * Screen.TwipsPerPixelX)
    ' Now move the first picture.
    picPicture(0).Left = picPicture(0).Left - (intAmount * Screen.TwipsPerPixelX)
    
    ' If the first picture is completely past, move it to the back causing it to loop by again.
    If picPicture(0).Left < -(picPicture(0).Width) Then
        ' Move the first picture to the right of the second picture.
        picPicture(0).Left = picPicture(1).Left + picPicture(1).Width
    End If
    
    ' If the second picture is completely past, move it to the back causing it to loop by again.
    If picPicture(1).Left < -(picPicture(1).Width) Then
        ' Move the second picture to the right of the first one.
        picPicture(1).Left = picPicture(0).Left + picPicture(0).Width
    End If
End Sub

